bots.getPreviewInfo
Bot owners only, fetch main mini app preview information, see here » for more info. Note: technically non-owners may also invoke this method, but it will always behave exactly as bots.RawGetPreviewMediasRequest, returning only previews for the current language and an empty lang_codes array, regardless of the passed lang_code, so please only use bots.RawGetPreviewMediasRequest if you're not the owner of the bot.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Bot owners only, fetch main mini app preview information, see here » for more info. Note: technically non-owners may also invoke this method, but it will always behave exactly as bots.RawGetPreviewMediasRequest, returning only previews for the current language and an empty lang_codes array, regardless of the passed lang_code, so please only use bots.RawGetPreviewMediasRequest if you're not the owner of the bot.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/bots.getPreviewInfo" \ -H "Content-Type: application/json" \ -d '{ "params": { "bot": { "_": "inputUserEmpty" }, "langCode": "string" } }'{ "result": { "_": "bots.previewInfo", "media": [ { "_": "botPreviewMedia", "date": 0, "media": { "_": "messageMediaEmpty" } } ], "langCodes": [ "string" ] }}getPopularAppBots
Fetch popular [Main Mini Apps](https://core.telegram.org/api/bots/webapps#main-mini-apps), to be used in the [apps tab of global search »](https://core.telegram.org/api/search#apps-tab).
getPreviewMedias
Fetch [main mini app previews, see here »](https://core.telegram.org/api/bots/webapps#main-mini-app-previews) for more info.